[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParam.Name

Name of the parameter

## Declaration

Source position: db.pas line 1277

`published property TParam.Name : string read FName write FName;`

## Description

Name is the name of the parameter. The name is usually determined automatically from the SQL statement the parameter is part of. Each parameter name should appear only once in the collection.

## See also

TParam.DataType |  | Data type of the parameter
TParam.Value |  | Value as a variant
TParams.ParamByName |  | Return a parameter by name